#version 450

invariant gl_Position;

const vec4 _26[4] = vec4[](vec4(-1.0, 1.0, 1.0, 1.0), vec4(-1.0, -1.0, 1.0, 1.0), vec4(1.0, -1.0, 1.0, 1.0), vec4(1.0));


// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
layout(set = 0, binding = 99, std140) uniform Vk3DParams
{
    vec4 stereo;
    vec4 custom_params;
}
 vk3d_params;

layout(location = 8) out vec2 out_CsFragCoord;

void main()
{

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
    
    out_CsFragCoord = _26[gl_VertexIndex].xy;
    gl_Position = _26[gl_VertexIndex];

// Vk3DVision (http://3dsurroundgaming.com/) - Stereo Injection
//gl_Position.x += vk3d_params.stereo.x * (gl_Position.w - vk3d_params.stereo.y); 
//out_CsFragCoord.x -= vk3d_params.stereo.x * (gl_Position.w - vk3d_params.stereo.y); 
}



